curl -X GET \
-H "Content-Type: application/json" \
-H "QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba" \
https://api.quickblox.com/chat/Dialog/5d75393ba28f9a17e1cb0f9e.json
{
"_id": "5d75393ba28f9a17e1cb0f9e",
"created_at": "2019-09-08T17:24:11Z",
"last_message": "sure, I can wait",
"last_message_date_sent": 1567971414,
"last_message_id": "5d755856a0eb47411e0b72a9",
"last_message_user_id": 96753878,
"name": "New Year 2020 party",
"occupants_ids": [
96753878,
96754523,
96830631,
96831328,
96831397
],
"admin_ids": [],
"photo": "68123",
"type": 2,
"updated_at": "2019-09-08T19:36:54Z",
"user_id": 96753878,
"xmpp_room_jid": "76730_5d75393ba28f9a17e1cb0f9e@muc.chat.quickblox.com",
"unread_messages_count": 0,
"is_join_required": 1
}
{
"errors": [
"You don't have appropriate permissions to perform this operation"
]
}
{
"errors": [
"The resource wasn't found"
]
}
Chat
Get Dialog by ID
Retrieve a dialog by ID.
Added in v2.39.0
GET
/
chat
/
Dialog
/
{chat_dialog_id}
.json
curl -X GET \
-H "Content-Type: application/json" \
-H "QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba" \
https://api.quickblox.com/chat/Dialog/5d75393ba28f9a17e1cb0f9e.json
{
"_id": "5d75393ba28f9a17e1cb0f9e",
"created_at": "2019-09-08T17:24:11Z",
"last_message": "sure, I can wait",
"last_message_date_sent": 1567971414,
"last_message_id": "5d755856a0eb47411e0b72a9",
"last_message_user_id": 96753878,
"name": "New Year 2020 party",
"occupants_ids": [
96753878,
96754523,
96830631,
96831328,
96831397
],
"admin_ids": [],
"photo": "68123",
"type": 2,
"updated_at": "2019-09-08T19:36:54Z",
"user_id": 96753878,
"xmpp_room_jid": "76730_5d75393ba28f9a17e1cb0f9e@muc.chat.quickblox.com",
"unread_messages_count": 0,
"is_join_required": 1
}
{
"errors": [
"You don't have appropriate permissions to perform this operation"
]
}
{
"errors": [
"The resource wasn't found"
]
}
Path Parameters
string
required
ID of the dialog to which a current message is connected. Generated automatically by the server after message creation.
Headers
string
required
A user or application session token. See Authentication page to learn more about session tokens. Must be used either QB-Token or Authorization.
string
default:"ApiKey {your_api_key}"
API key from Dashboard. Expected format:
ApiKey {your_api_key}. Must be used either QB-Token or Authorization.string
User ID. The user ID of the user on whose behalf the request is being made.
Responses
200
200
403
403
An error response
array of strings
404
404
An error response
array of strings
curl -X GET \
-H "Content-Type: application/json" \
-H "QB-Token: 1319b4991186601ccf4df2d0fa89565f68012bba" \
https://api.quickblox.com/chat/Dialog/5d75393ba28f9a17e1cb0f9e.json
{
"_id": "5d75393ba28f9a17e1cb0f9e",
"created_at": "2019-09-08T17:24:11Z",
"last_message": "sure, I can wait",
"last_message_date_sent": 1567971414,
"last_message_id": "5d755856a0eb47411e0b72a9",
"last_message_user_id": 96753878,
"name": "New Year 2020 party",
"occupants_ids": [
96753878,
96754523,
96830631,
96831328,
96831397
],
"admin_ids": [],
"photo": "68123",
"type": 2,
"updated_at": "2019-09-08T19:36:54Z",
"user_id": 96753878,
"xmpp_room_jid": "76730_5d75393ba28f9a17e1cb0f9e@muc.chat.quickblox.com",
"unread_messages_count": 0,
"is_join_required": 1
}
{
"errors": [
"You don't have appropriate permissions to perform this operation"
]
}
{
"errors": [
"The resource wasn't found"
]
}
Was this page helpful?